Bug 1286515 - A queue does not generate interrupts inside guest when booting guest with mq + vhost-user
A queue does not generate interrupts inside guest when booting guest with mq ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Victor Kaplansky
Pei Zhang
:
Depends On:
Blocks: 1313485
  Show dependency treegraph
 
Reported: 2015-11-30 00:50 EST by FuXiangChun
Modified: 2017-03-09 18:57 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-09 18:57:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Wei 2016-04-11 11:00:11 EDT
With the latest code, i test it with 4 queues between guest to guest,
every queue get interrupts only when i set both queues of the guest to 4 queues,
1 queue send to 4 queues will miss the interrupt as the title.
Comment 2 Amnon Ilan 2016-04-14 04:41:10 EDT
FuXiangChun, Can you test it again please with the latest 7.3 and ovs-dpsk?
I believe we should Close it as Current-Release.
It should only work for the case where the number of queues is identical on both ends.
Comment 3 FuXiangChun 2016-04-18 06:50:37 EDT
(In reply to Amnon Ilan from comment #2)
> FuXiangChun, Can you test it again please with the latest 7.3 and ovs-dpsk?
> I believe we should Close it as Current-Release.
> It should only work for the case where the number of queues is identical on
> both ends.

QE is re-testing it. will update test result to bz asap.
Comment 4 FuXiangChun 2016-04-19 04:42:19 EDT
According to comment0. QE re-tested this bug with version as below.

1.openvswitch-dpdk-2.5.0-3.el7.x86_64

2.qemu-kvm-rhev-2.5.0-4.el7.x86_64

3.kernel-rt-3.10.0-377.rt56.256.el7.x86_64


Almost the same result are obtained. So this bug isn't fixed yet. 


 27:    1863370          0          0          0   PCI-MSI-edge      virtio1-input.0
 28:     292634          0          0          0   PCI-MSI-edge      virtio1-output.0
 29:          0          0          0          0   PCI-MSI-edge      virtio1-input.1
 30:          0          0          0          0   PCI-MSI-edge      virtio1-output.1
 31:          0          0          0          0   PCI-MSI-edge      virtio1-input.2
 32:          1          0       2479          0   PCI-MSI-edge      virtio1-output.2
 33:          0          0          0          0   PCI-MSI-edge      virtio1-input.3
 34:          1          0          0       1104   PCI-MSI-edge      virtio1-output.3
Comment 5 Wei 2016-04-19 06:45:31 EDT
Can QE share a test bed with me? i'm using a kernel compiled from 4.1.0 and latest upstream dpdk/ovs code by myself, i'll try it.
Comment 9 Wei 2016-06-28 09:36:05 EDT
Have a draft test for both rhel as xfu listed and the same version with mine test bed on xfu's machine, can't get all interrupts generated on every queue,
will check it out again.

Note You need to log in before you can comment on or make changes to this bug.